The vRealize Automation Prerequisite Checker Fix option fails and displays messages about not finding the installation source for .NET 3.5.1.

Problem

The Prerequisite Checker needs to verify that .NET 3.5.1 is installed in order to satisfy requirements for Windows Server 2008 R2 systems with IIS 7.5, and Windows Server 2012 R2 systems with IIS 8.

For Windows Server 2012 R2, inability to connect to the Internet can prevent .NET automatic installation. Certain Windows 2012 R2 updates can also prevent installation. The problem occurs because the Windows version lacks a local copy of the .NET Framework 3.5 installation source.

Results

Manually provide a .NET Framework 3.5 installation source.

  1. On the Windows host, mount an ISO of the Windows Server 2012 R2 installation media.

  2. In Server Manager, enable .NET Framework 3.5 by using the Add Roles and Features Wizard.

  3. During the wizard, navigate to the .NET Framework 3.5 installation path on the ISO media.

  4. After adding .NET Framework 3.5, rerun the vRealize Automation Prerequisite Checker.